[loggers]
keys=root,uvicorn

[handlers]
keys=console,logfile,rotating_logfile

[formatters]
keys=generic

[logger_root]
level=INFO
handlers=console,logfile,rotating_logfile

[logger_uvicorn]
level=INFO
handlers=logfile
qualname=uvicorn

[handler_console]
class=StreamHandler
args=(sys.stdout,)
formatter=generic

[handler_logfile]
class=FileHandler
args=("log/test.log",)  # 1 MB per file, keep up to 10 files
formatter=generic

[handler_rotating_logfile]
class=handlers.TimedRotatingFileHandler
args=("log/test.log", "midnight", 1, 14)
formatter=generic

[formatter_generic]
format=%(asctime)s - %(name)s - %(levelname)s - %(message)s
